# NodeBodyUpdate

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **str** | The name must not contain spaces or the following special characters: * \&quot; &lt; &gt; \\ / ? : and |. The character . must not be used at the end of the name.  | [optional] 
**node_type** | **str** |  | [optional] 
**aspect_names** | **list[str]** |  | [optional] 
**properties** | **dict(str, str)** |  | [optional] 
**permissions** | [**PermissionsBody**](PermissionsBody.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


